| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Enumerations | Functions
linux_nfc_factory_api.h File Reference

Go to the source code of this file.

## Classes
struct | nfcFactory_Antenna_St_Resp_t
| Instance of Transaction structure. More...

## Enumerations
enum | nfcFactory_PRBSTech_t { NFC_FACTORY_RF_TECHNOLOGY_A = 0, NFC_FACTORY_RF_TECHNOLOGY_B, NFC_FACTORY_RF_TECHNOLOGY_F }
enum | nfcFactory_PRBSBitrate_t { NFC_FACTORY_BIT_RATE_106 = 0, NFC_FACTORY_BIT_RATE_212, NFC_FACTORY_BIT_RATE_424, NFC_FACTORY_BIT_RATE_848 }

## Functions
int | nfcFactory_testMode_open (void)
| It opens the physical connection with NFCC and creates required client thread for operation. More...
void | nfcFactory_testMode_close (void)
| This function close the NFCC interface and free all resources. More...
int | nfcFactory_PrbsTestStart (nfcFactory_PRBSTech_t tech, nfcFactory_PRBSBitrate_t bitrate)
| Test function start RF generation for RF technology and bit rate. RF technology and bit rate are sent as parameter to the API. More...
int | nfcFactory_PrbsTestStop ()
| Test function stop RF generation for RF technology started by phNxpNciHal_PrbsTestStart. More...
int | nfcFactory_AntennaSelfTest (nfcFactory_Antenna_St_Resp_t *phAntenna_St_Resp)
| Test function to validate the Antenna's discrete components connection. More...
int | nfcFactory_GetMwVersion ()
| Test function to return Mw version. More...

## Enumeration Type Documentation

enum nfcFactory_PRBSBitrate_t

Enumerator
NFC_FACTORY_BIT_RATE_106 |
NFC_FACTORY_BIT_RATE_212 |
NFC_FACTORY_BIT_RATE_424 |
NFC_FACTORY_BIT_RATE_848 |

Definition at line 37 of file linux_nfc_factory_api.h.

enum nfcFactory_PRBSTech_t

Enumerator
NFC_FACTORY_RF_TECHNOLOGY_A |
NFC_FACTORY_RF_TECHNOLOGY_B |
NFC_FACTORY_RF_TECHNOLOGY_F |

Definition at line 29 of file linux_nfc_factory_api.h.

## Function Documentation

int nfcFactory_AntennaSelfTest | ( | nfcFactory_Antenna_St_Resp_t * | phAntenna_St_Resp | ) |

Test function to validate the Antenna's discrete components connection.

Returns
  0 if successful,otherwise failed.

int nfcFactory_GetMwVersion | ( |  | ) |

Test function to return Mw version.

Returns
  Mw version on chip.

int nfcFactory_PrbsTestStart | ( | nfcFactory_PRBSTech_t | tech,
|  | nfcFactory_PRBSBitrate_t | bitrate
| ) |  |

Test function start RF generation for RF technology and bit rate. RF technology and bit rate are sent as parameter to the API.

Returns
  0 if RF generation successful, otherwise failed.

int nfcFactory_PrbsTestStop | ( |  | ) |

Test function stop RF generation for RF technology started by phNxpNciHal_PrbsTestStart.

Returns
  0 if operation successful, otherwise failed.

void nfcFactory_testMode_close | ( | void |  | ) |

This function close the NFCC interface and free all resources.

Returns
  None.

int nfcFactory_testMode_open | ( | void |  | ) |

It opens the physical connection with NFCC and creates required client thread for operation.

Returns
  0 if successful,otherwise failed.